<!doctype html>
<html lang=en>
   <head>
      <meta charset=utf-8>
      <meta http-equiv=x-ua-compatible content="IE=edge">
      <meta name=viewport content="width=device-width,initial-scale=1">
      <title>{#insert title}{title ?: 'HTML Template'}{/} | The Eclipse Foundation</title>
      <meta property="og:title" content="{#insert title}{title ?: 'HTML Template'}{/} | The Eclipse Foundation">
      <meta name=twitter:title content="{#insert title}{title ?: 'HTML Template'}{/} | The Eclipse Foundation">
      <meta name=description content="The Eclipse Foundation - home to a global community, the Eclipse IDE, Jakarta EE and over 415 open source projects, including runtimes, tools and frameworks.">
      <meta property="og:description" content="The Eclipse Foundation - home to a global community, the Eclipse IDE, Jakarta EE and over 415 open source projects, including runtimes, tools and frameworks.">
      <meta name=twitter:description content="The Eclipse Foundation - home to a global community, the Eclipse IDE, Jakarta EE and over 415 open source projects, including runtimes, tools and frameworks.">
      <link href="//www.eclipse.org/eclipse.org-common/themes/solstice/public/images/favicon.ico" rel="icon" type="image/x-icon">
      <meta property="og:image" content="//www.eclipse.org/eclipse.org-common/themes/solstice/public/images/logo/eclipse-foundation-400x400.png">
      <meta name=twitter:image content="//www.eclipse.org/eclipse.org-common/themes/solstice/public/images/logo/eclipse-foundation-400x400.png">
      <meta name=twitter:card content="summary">
      <meta name=twitter:site content="@eclipsefdn">
      <meta name=twitter:creator content="@eclipsefdn">
      <meta property="og:type" content="website">
      <meta property="og:site_name" content="Eclipse Foundation">
      <meta name=keywords content="eclipse,project,plug-ins,plugins,java,ide,swt,refactoring,free java ide,tools,platform,open source,development environment,development,ide,eclipse foundation">
      <link rel=canonical href=https://www.eclipse.org/home/>
      <link rel=alternate href=https://www.eclipse.org/home/index.xml type=application/rss+xml title>
      <link rel=stylesheet href="https://www.eclipse.org/eclipse.org-common/themes/solstice/public/stylesheets/astro.min.css?v0.0.211">
      <script>{|(function(e,t,n,s,o){e[s]=e[s]||[],e[s].push({"gtm.start":(new Date).getTime(),event:"gtm.js"});var a=t.getElementsByTagName(n)[0],i=t.createElement(n),r=s!="dataLayer"?"&l="+s:"";i.async=!0,i.src="https://www.googletagmanager.com/gtm.js?id="+o+r,a.parentNode.insertBefore(i,a)})(window,document,"script","dataLayer","GTM-5WLCZXC")|}</script><script>var tableClasses="table"</script>
      <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel=stylesheet type=text/css>
   </head>
   <body>
      <a class=sr-only href=#content>Skip to main content</a>
      <header class="header-wrapper header-default-bg-img" id=header>
         <div class=header-toolbar>
            <div class=container>
               <div class=header-toolbar-row>
                  <div class="toolbar-btn toolbar-search-btn dropdown">
                     <button class=dropdown-toggle id=toolbar-search type=button data-toggle=dropdown tabindex=0 aria-label=Search>
                     <i class="fa fa-search fa-lg" aria-role=none></i></button>
                     <div class="toolbar-search-bar-wrapper dropdown-menu dropdown-menu-right" aria-labelledby=toolbar-search>
                        <form action=https://www.eclipse.org/home/search method=get>
                           <div class=search-bar><input class=search-bar-input name=q placeholder=Search>
                              <button>
                              <i class="fa fa-search" type=submit></i></button>
                           </div>
                        </form>
                     </div>
                  </div>
                  <div class="toolbar-btn toolbar-user-menu-btn dropdown">
                     <button class=dropdown-toggle id=toolbar-user-menu type=button data-toggle=dropdown tabindex=0 aria-label="User Menu">
                     <i class="fa fa-user fa-lg"></i></button>
                     <ul class="toolbar-user-menu dropdown-menu dropdown-menu-right text-center" aria-labelledby=toolbar-user-menu>
                        <li><a href=https://accounts.eclipse.org/user><i class="fa fa-user"></i>
                           View My Account</a>
                        </li>
                        <li><a href=https://accounts.eclipse.org/user/edit><i class="fa fa-edit"></i>
                           Edit My Account</a>
                        </li>
                        <li><a class=toolbar-manage-cookies><i class="fa fa-wrench"></i>
                           Manage Cookies</a>
                        </li>
                     </ul>
                  </div>
               </div>
            </div>
         </div>
         <div class=header-navbar-wrapper>
            <div class=container>
               <div class=header-navbar>
                  <div class=header-navbar-brand><a class=logo-wrapper href=https://www.eclipse.org/ title="Eclipse Foundation"><img src=https://www.eclipse.org/eclipse.org-common/themes/solstice/public/images/logo/eclipse-foundation-grey-orange.svg alt width=150></a></div>
                  <nav class=header-navbar-nav>
                     <ul class=header-navbar-nav-links>
                        <li class=navbar-nav-links-item><button class="nav-link-js btn-link link-unstyled" type=button aria-expanded=true data-menu-target=projects-menu>
                           Projects</button>
                        </li>
                        <li class=navbar-nav-links-item><button class="nav-link-js btn-link link-unstyled" type=button aria-expanded=true data-menu-target=supporters-menu>
                           Supporters</button>
                        </li>
                        <li class=navbar-nav-links-item><button class="nav-link-js btn-link link-unstyled" type=button aria-expanded=true data-menu-target=collaborations-menu>
                           Collaborations</button>
                        </li>
                        <li class=navbar-nav-links-item><button class="nav-link-js btn-link link-unstyled" type=button aria-expanded=true data-menu-target=resources-menu>
                           Resources</button>
                        </li>
                        <li class=navbar-nav-links-item><button class="nav-link-js btn-link link-unstyled" type=button aria-expanded=true data-menu-target=the-foundation-menu>
                           The Foundation</button>
                        </li>
                     </ul>
                  </nav>
                  <div class=header-navbar-end><a class="header-navbar-end-download-btn btn btn-primary" href=https://www.eclipse.org/downloads/><i class=fa aria-hidden=true></i>
                     Download</a>
                     <button class=mobile-menu-btn aria-label="Toggle mobile navigation menu" aria-expanded=false>
                     <i class="fa fa-bars fa-xl"></i></button>
                  </div>
               </div>
            </div>
         </div>
         <nav class="mobile-menu hidden" aria-expanded=false>
            <ul>
               <li class=mobile-menu-dropdown>
                  <a class="mobile-menu-item mobile-menu-dropdown-toggle" data-target=projects-menu><span>Projects</span>
                  <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                  <div class=mobile-menu-sub-menu-wrapper>
                     <ul class="mobile-menu-sub-menu hidden" id=projects-menu>
                        <li class=mobile-menu-dropdown>
                           <a data-target=projects-technologies-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>Technologies</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=projects-technologies-sub-menu>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/topics/ide/>Developer Tools & IDEs</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/topics/cloud-native/>Cloud Native</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/topics/edge-and-iot>Edge & IoT</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/topics/automotive-and-mobility/>Automotive & Mobility</a></li>
                              </ul>
                           </div>
                        </li>
                        <li class=mobile-menu-dropdown>
                           <a data-target=projects-projects-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>Projects</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=projects-projects-sub-menu>
                                 <li><a class=mobile-menu-item href=https://projects.eclipse.org/>Project Finder</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/projects/project_activity.php>Project Activity</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/projects/resources>Project Resources</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/contribute/>Contribute</a></li>
                              </ul>
                           </div>
                        </li>
                     </ul>
                  </div>
               </li>
               <li class=mobile-menu-dropdown>
                  <a class="mobile-menu-item mobile-menu-dropdown-toggle" data-target=supporters-menu><span>Supporters</span>
                  <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                  <div class=mobile-menu-sub-menu-wrapper>
                     <ul class="mobile-menu-sub-menu hidden" id=supporters-menu>
                        <li class=mobile-menu-dropdown>
                           <a data-target=supporters-membership-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>Membership</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=supporters-membership-sub-menu>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/membership/explore-membership/>Our Members</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/membership/>Member Benefits</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/membership/#tab-levels>Membership Levels & Fees</a></li>
                                 <li><a class=mobile-menu-item href=https://membership.eclipse.org/application>Membership Application</a></li>
                                 <li><a class=mobile-menu-item href=https://membership.eclipse.org/portal>Member Portal</a></li>
                              </ul>
                           </div>
                        </li>
                        <li class=mobile-menu-dropdown>
                           <a data-target=supporters-sponsorship-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>Sponsorship</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=supporters-sponsorship-sub-menu>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/sponsor/>Sponsor</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/org/corporate_sponsors>Corporate Sponsorship</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/sponsor/collaboration/>Sponsor a Collaboration</a></li>
                              </ul>
                           </div>
                        </li>
                     </ul>
                  </div>
               </li>
               <li class=mobile-menu-dropdown>
                  <a class="mobile-menu-item mobile-menu-dropdown-toggle" data-target=collaborations-menu><span>Collaborations</span>
                  <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                  <div class=mobile-menu-sub-menu-wrapper>
                     <ul class="mobile-menu-sub-menu hidden" id=collaborations-menu>
                        <li class=mobile-menu-dropdown>
                           <a data-target=collaborations-industry-collaborations-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>Industry Collaborations</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=collaborations-industry-collaborations-sub-menu>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/collaborations/>About Industry Collaborations</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/org/workinggroups/explore.php>Current Collaborations</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/org/workinggroups/about.php>About Working Groups</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/collaborations/interest-groups/>About Interest Groups</a></li>
                              </ul>
                           </div>
                        </li>
                        <li class=mobile-menu-dropdown>
                           <a data-target=collaborations-research-collaborations-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>Research Collaborations</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=collaborations-research-collaborations-sub-menu>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/research/>Research @ Eclipse</a></li>
                              </ul>
                           </div>
                        </li>
                     </ul>
                  </div>
               </li>
               <li class=mobile-menu-dropdown>
                  <a class="mobile-menu-item mobile-menu-dropdown-toggle" data-target=resources-menu><span>Resources</span>
                  <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                  <div class=mobile-menu-sub-menu-wrapper>
                     <ul class="mobile-menu-sub-menu hidden" id=resources-menu>
                        <li class=mobile-menu-dropdown>
                           <a data-target=resources-open-source-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>Open Source for Business</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=resources-open-source-sub-menu>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/org/value/>Business Value of Open Source</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/os4biz/ospo/>Open Source Program Offices</a></li>
                              </ul>
                           </div>
                        </li>
                        <li class=mobile-menu-dropdown>
                           <a data-target=resources-happening-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>What's Happening</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=resources-happening-sub-menu>
                                 <li><a class=mobile-menu-item href=https://newsroom.eclipse.org/>News</a></li>
                                 <li><a class=mobile-menu-item href=https://events.eclipse.org/>Events</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/community/eclipse_newsletter/>Newsletter</a></li>
                                 <li><a class=mobile-menu-item href=https://newsroom.eclipse.org/news/press-releases>Press Releases</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/org/foundation/eclipseawards/>Awards & Recognition</a></li>
                              </ul>
                           </div>
                        </li>
                        <li class=mobile-menu-dropdown>
                           <a data-target=resources-developer-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>Developer Resources</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=resources-developer-sub-menu>
                                 <li><a class=mobile-menu-item href=https://eclipse.org/forums/>Forum</a></li>
                                 <li><a class=mobile-menu-item href=https://wiki.eclipse.org/>Wiki</a></li>
                                 <li><a class=mobile-menu-item href=https://accounts.eclipse.org/mailing-list>Mailing Lists</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/blogs-and-videos/>Blogs & Videos</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/resources/marketplaces/>Marketplaces</a></li>
                              </ul>
                           </div>
                        </li>
                     </ul>
                  </div>
               </li>
               <li class=mobile-menu-dropdown>
                  <a class="mobile-menu-item mobile-menu-dropdown-toggle" data-target=the-foundation-menu><span>The Foundation</span>
                  <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                  <div class=mobile-menu-sub-menu-wrapper>
                     <ul class="mobile-menu-sub-menu hidden" id=the-foundation-menu>
                        <li class=mobile-menu-dropdown>
                           <a data-target=the-foundation-about-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>About</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=the-foundation-about-sub-menu>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/org/>About the Eclipse Foundation</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/org/governance>Board & Governance</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/org/foundation/staff.php>Staff</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/org/services>Services</a></li>
                              </ul>
                           </div>
                        </li>
                        <li class=mobile-menu-dropdown>
                           <a data-target=the-foundation-legal-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>Legal</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=the-foundation-legal-sub-menu>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/legal/>Legal Policies</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/legal/privacy/>Privacy Policy</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/legal/terms-of-use/>Terms of Use</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/legal/copyright/>Copyright Agent</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/legal/epl-2.0/>Eclipse Public License</a></li>
                              </ul>
                           </div>
                        </li>
                        <li class=mobile-menu-dropdown>
                           <a data-target=the-foundation-more-sub-menu class="mobile-menu-item mobile-menu-dropdown-toggle" aria-expanded=false><span>More</span>
                           <i class="fa fa-chevron-down" aria-hidden=true></i></a>
                           <div class=mobile-menu-sub-menu-wrapper>
                              <ul class="mobile-menu-sub-menu mobile-menu-links-menu hidden" id=the-foundation-more-sub-menu>
                                 <li><a class=mobile-menu-item href=https://newsroom.eclipse.org/news/press-releases>Press Releases</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/careers/>Careers</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/org/artwork/>Logos & Artwork</a></li>
                                 <li><a class=mobile-menu-item href=https://www.eclipse.org/org/foundation/contact.php>Contact Us</a></li>
                              </ul>
                           </div>
                        </li>
                     </ul>
                  </div>
               </li>
            </ul>
         </nav>
         <div class=eclipsefdn-mega-menu>
            <div class="mega-menu-submenu container hidden" data-menu-id=projects-menu>
               <div class=mega-menu-submenu-featured-story>
                  <p class=mega-menu-submenu-featured-story-heading>Projects</p>
                  <p class=mega-menu-submenu-featured-story-text>The Eclipse Foundation is home to the Eclipse IDE, Jakarta EE, and
                     hundreds of open source projects, including runtimes, tools,
                     specifications, and frameworks for cloud and edge applications, IoT, AI,
                     automotive, systems engineering, open processor designs, and many others.
                  </p>
               </div>
               <div class=mega-menu-submenu-links-section>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>Technologies</p>
                     <ul>
                        <li><a href=https://www.eclipse.org/topics/ide/>Developer Tools & IDEs</a></li>
                        <li><a href=https://www.eclipse.org/topics/cloud-native/>Cloud Native</a></li>
                        <li><a href=https://www.eclipse.org/topics/edge-and-iot>Edge & IoT</a></li>
                        <li><a href=https://www.eclipse.org/topics/automotive-and-mobility/>Automotive & Mobility</a></li>
                     </ul>
                  </div>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>Projects</p>
                     <ul>
                        <li><a href=https://projects.eclipse.org/>Project Finder</a></li>
                        <li><a href=https://www.eclipse.org/projects/project_activity.php>Project Activity</a></li>
                        <li><a href=https://www.eclipse.org/projects/resources>Project Resources</a></li>
                        <li><a href=https://www.eclipse.org/contribute/>Contribute</a></li>
                     </ul>
                  </div>
               </div>
               <div class=mega-menu-submenu-ad-wrapper>
                  <div class="eclipsefdn-mega-menu-promo-content mega-menu-promo-content" data-ad-format=ads_square data-ad-publish-to=eclipse_org_home></div>
               </div>
            </div>
            <div class="mega-menu-submenu container hidden" data-menu-id=supporters-menu>
               <div class=mega-menu-submenu-featured-story>
                  <p class=mega-menu-submenu-featured-story-heading>Supporters</p>
                  <p class=mega-menu-submenu-featured-story-text>The Eclipse Foundation is an international non-profit association
                     supported by our members, including industry leaders who value open
                     source as a key enabler for their business strategies.
                  </p>
               </div>
               <div class=mega-menu-submenu-links-section>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>Membership</p>
                     <ul>
                        <li><a href=https://www.eclipse.org/membership/explore-membership/>Our Members</a></li>
                        <li><a href=https://www.eclipse.org/membership/>Member Benefits</a></li>
                        <li><a href=https://www.eclipse.org/membership/#tab-levels>Membership Levels & Fees</a></li>
                        <li><a href=https://membership.eclipse.org/application>Membership Application</a></li>
                        <li><a href=https://membership.eclipse.org/portal>Member Portal</a></li>
                     </ul>
                  </div>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>Sponsorship</p>
                     <ul>
                        <li><a href=https://www.eclipse.org/sponsor/>Sponsor</a></li>
                        <li><a href=https://www.eclipse.org/org/corporate_sponsors>Corporate Sponsorship</a></li>
                        <li><a href=https://www.eclipse.org/sponsor/collaboration/>Sponsor a Collaboration</a></li>
                     </ul>
                  </div>
               </div>
               <div class=mega-menu-submenu-ad-wrapper>
                  <div class="eclipsefdn-mega-menu-promo-content mega-menu-promo-content" data-ad-format=ads_square data-ad-publish-to=eclipse_org_home></div>
               </div>
            </div>
            <div class="mega-menu-submenu container hidden" data-menu-id=collaborations-menu>
               <div class=mega-menu-submenu-featured-story>
                  <p class=mega-menu-submenu-featured-story-heading>Collaborations</p>
                  <p class=mega-menu-submenu-featured-story-text>Whether you intend on contributing to Eclipse technologies that are
                     important to your product strategy, or simply want to explore a specific
                     innovation area with like-minded organizations, the Eclipse Foundation is
                     the open source home for industry collaboration.
                  </p>
               </div>
               <div class=mega-menu-submenu-links-section>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>Industry Collaborations</p>
                     <ul>
                        <li><a href=https://www.eclipse.org/collaborations/>About Industry Collaborations</a></li>
                        <li><a href=https://www.eclipse.org/org/workinggroups/explore.php>Current Collaborations</a></li>
                        <li><a href=https://www.eclipse.org/org/workinggroups/about.php>About Working Groups</a></li>
                        <li><a href=https://www.eclipse.org/collaborations/interest-groups/>About Interest Groups</a></li>
                     </ul>
                  </div>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>Research Collaborations</p>
                     <ul>
                        <li><a href=https://www.eclipse.org/research/>Research @ Eclipse</a></li>
                     </ul>
                  </div>
               </div>
               <div class=mega-menu-submenu-ad-wrapper>
                  <div class="eclipsefdn-mega-menu-promo-content mega-menu-promo-content" data-ad-format=ads_square data-ad-publish-to=eclipse_org_home></div>
               </div>
            </div>
            <div class="mega-menu-submenu container hidden" data-menu-id=resources-menu>
               <div class=mega-menu-submenu-featured-story>
                  <p class=mega-menu-submenu-featured-story-heading>Resources</p>
                  <p class=mega-menu-submenu-featured-story-text>The Eclipse community consists of individual developers and organizations
                     spanning many industries. Stay up to date on our open source community
                     and find resources to support your journey.
                  </p>
               </div>
               <div class=mega-menu-submenu-links-section>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>Open Source for Business</p>
                     <ul>
                        <li><a href=https://www.eclipse.org/org/value/>Business Value of Open Source</a></li>
                        <li><a href=https://www.eclipse.org/os4biz/ospo/>Open Source Program Offices</a></li>
                     </ul>
                  </div>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>What's Happening</p>
                     <ul>
                        <li><a href=https://newsroom.eclipse.org/>News</a></li>
                        <li><a href=https://events.eclipse.org/>Events</a></li>
                        <li><a href=https://www.eclipse.org/community/eclipse_newsletter/>Newsletter</a></li>
                        <li><a href=https://newsroom.eclipse.org/news/press-releases>Press Releases</a></li>
                        <li><a href=https://www.eclipse.org/org/foundation/eclipseawards/>Awards & Recognition</a></li>
                     </ul>
                  </div>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>Developer Resources</p>
                     <ul>
                        <li><a href=https://eclipse.org/forums/>Forum</a></li>
                        <li><a href=https://wiki.eclipse.org/>Wiki</a></li>
                        <li><a href=https://accounts.eclipse.org/mailing-list>Mailing Lists</a></li>
                        <li><a href=https://www.eclipse.org/blogs-and-videos/>Blogs & Videos</a></li>
                        <li><a href=https://www.eclipse.org/resources/marketplaces/>Marketplaces</a></li>
                     </ul>
                  </div>
               </div>
               <div class=mega-menu-submenu-ad-wrapper>
                  <div class="eclipsefdn-mega-menu-promo-content mega-menu-promo-content" data-ad-format=ads_square data-ad-publish-to=eclipse_org_home></div>
               </div>
            </div>
            <div class="mega-menu-submenu container hidden" data-menu-id=the-foundation-menu>
               <div class=mega-menu-submenu-featured-story>
                  <p class=mega-menu-submenu-featured-story-heading>The Foundation</p>
                  <p class=mega-menu-submenu-featured-story-text>The Eclipse Foundation provides our global community of individuals and
                     organizations with a mature, scalable, and vendor-neutral environment for
                     open source software collaboration and innovation.
                  </p>
               </div>
               <div class=mega-menu-submenu-links-section>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>About</p>
                     <ul>
                        <li><a href=https://www.eclipse.org/org/>About the Eclipse Foundation</a></li>
                        <li><a href=https://www.eclipse.org/org/governance>Board & Governance</a></li>
                        <li><a href=https://www.eclipse.org/org/foundation/staff.php>Staff</a></li>
                        <li><a href=https://www.eclipse.org/org/services>Services</a></li>
                     </ul>
                  </div>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>Legal</p>
                     <ul>
                        <li><a href=https://www.eclipse.org/legal/>Legal Policies</a></li>
                        <li><a href=https://www.eclipse.org/legal/privacy/>Privacy Policy</a></li>
                        <li><a href=https://www.eclipse.org/legal/terms-of-use/>Terms of Use</a></li>
                        <li><a href=https://www.eclipse.org/legal/copyright/>Copyright Agent</a></li>
                        <li><a href=https://www.eclipse.org/legal/epl-2.0/>Eclipse Public License</a></li>
                     </ul>
                  </div>
                  <div class=mega-menu-submenu-links>
                     <p class=menu-heading>More</p>
                     <ul>
                        <li><a href=https://newsroom.eclipse.org/news/press-releases>Press Releases</a></li>
                        <li><a href=https://www.eclipse.org/careers/>Careers</a></li>
                        <li><a href=https://www.eclipse.org/org/artwork/>Logos & Artwork</a></li>
                        <li><a href=https://www.eclipse.org/org/foundation/contact.php>Contact Us</a></li>
                     </ul>
                  </div>
               </div>
            </div>
         </div>
      </header>
